<div style="max-height: 500px; overflow: scroll;">
    <caption>List of projects</caption>
    <table class="table" style="border: none; caption-side: top;">
        <thead style="vertical-align: top; text-align: left;" >
        <tr class="table-success" style="position: sticky; top:0; font-size: 10pt;" >
            <th scope="ui col">Project name</th>
            <th scope="ui col">Url</th>
            <th scope="ui col" style="width: 200px;">Description</th>
            <th scope="ui col">Number of commits</th>
            <th scope="ui col">Number of lines</th>
            <th scope="ui col">Used languages</th>
        </tr>
        </thead>
        <tbody style="height: fit-content;" *ngIf="projects.length !== 0; else empty">
        <tr class="table-light" scope="row" *ngFor="let proj of projects">
            <td>{{proj.name}}</td>
            <td><a [href]=proj.webUrl target="_blank" style="font-style: italic;">{{proj.webUrl}}</a></td>
            <td style="width: 200px;">{{proj.description}}</td>
            <td>{{proj.numOfCommits}}</td>
            <td>{{proj.numOfLines}}</td>
            <td>{{proj.usedLanguages}}</td>
        </tr>
        </tbody>
    </table>

    <div style="text-align: center; margin: auto;">
        <ng-template #empty >
                No projects
        </ng-template>
    </div>            
</div>
